Bug 14542 - Transliterate rule for all single quote forms
Summary: Transliterate rule for all single quote forms
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-16 15:46 UTC by Fridolin SOMERS
Modified: 2017-06-14 22:05 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14542 - Transliterate rule for all single quote forms (1.57 KB, patch)
2015-07-16 15:57 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 14542 - Transliterate rule for all single quote forms (1.62 KB, patch)
2015-11-11 13:12 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 14542 - Transliterate rule for all single quote forms (1.70 KB, patch)
2015-11-11 13:14 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2015-07-16 15:46:14 UTC
Single quotes in common language (not in programming) are usually ', but there is also the form ’.
See https://fr.wikipedia.org/wiki/Apostrophe_%28typographie%29

This bug proposes to transliterate all forms into a space.
Comment 1 Fridolin SOMERS 2015-07-16 15:57:44 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2015-11-11 13:12:10 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-11-11 13:14:43 UTC
Created attachment 44757 [details] [review]
Bug 14542 - Transliterate rule for all single quote forms

Single quotes in common language (not in programming) are usually ', but
there is also the form known as ’ in HTML.  See
https://fr.wikipedia.org/wiki/Apostrophe_%28typographie%29

This bug proposes to transliterate all forms into a space.

Test plan :
(I'll use the code ’ instead of the unicode character)
- Without the patch
- Create a record with title : L’avion d’argile
- Index this record
- Search for "L’avion d’argile" => You find the record
- Search for "L'avion d'argile" => You do not find the record
- Apply patch
- Search for "L’avion d’argile" => You find the record
- Search for "L'avion d'argile" => You find the record
- Search for "L avion d argile" => You find the record

Signed-off-by: Frederic Demians <f.demians@tamil.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2015-11-11 13:15:08 UTC
Can be considered as a bugfix.
Comment 5 Tomás Cohen Arazi 2015-11-16 18:59:12 UTC
Patch pushed to master.

Good catch Frido!
Comment 6 Frédéric Demians 2015-11-29 21:00:09 UTC
This patch has been pushed to 3.20.x, will be in 3.20.6.
Comment 7 Liz Rea 2016-01-06 21:21:40 UTC
Pushed to 3.18.13, and released.